Config::Model::Backend::Dpkg(3pm)

NAME
Config::Model::Backend::Dpkg - Read and write config as plain file

SYNOPSIS
 use Config::Model;
 use Log::Log4perl qw(:easy);
 Log::Log4perl->easy_init($WARN);

 my $model = Config::Model->new;

 my $inst = $model->create_config_class(
    name => "WithDpkg",
    element => [
        [qw/source new/] => { qw/type leaf value_type uniline/ },
    ],
    rw_config  => {
            backend => 'Dpkg',
            config_dir => 'debian',
    },
 );

 my $inst = $model->instance(root_class_name => 'WithDpkg' );
 my $root = $inst->config_root ;

 $root->load('source=foo new=yes' );

 $inst->write_back ;

Now "debian" directory will contain 2 files: "source" and "new" with "foo" and "yes" inside.

DESCRIPTION
This module is used directly by Config::Model to read or write the content of a Debian package files. Each element of the Dpkg node is written in a plain file.

This module supports currently only leaf and list elements. In the case of "list" element, each line of the file is a value of the list.

This class is based on Config::Model::Backend::PlainFile and overrides reading of files in "debian/patches" and "debian/*install" files.

Methods
See Config::Model::Backend::PlainFile.

AUTHOR
Dominique Dumont, (dod at debian dot org)

SEE ALSO
Config::Model, Config::Model::BackendMgr, Config::Model::Backend::Any, Config::Model::Backend::PlainFile,